
SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = .
topdir = /usr/local/lib/ruby/1.8/sh-openbsd
hdrdir = $(topdir)
VPATH = $(srcdir):$(topdir):$(hdrdir)
prefix = $(DESTDIR)/usr/local
exec_prefix = $(prefix)
infodir = $(DESTDIR)/usr/local/info
psdir = $(docdir)
archdir = $(rubylibdir)/$(arch)
mandir = $(DESTDIR)/usr/local/man
datadir = $(datarootdir)
localstatedir = $(DESTDIR)/var
pdfdir = $(docdir)
vendorarchdir = $(vendorlibdir)/$(sitearch)
libexecdir = $(exec_prefix)/libexec
vendordir = $(libdir)/ruby/vendor_ruby
libdir = $(exec_prefix)/lib
sysconfdir = $(DESTDIR)/etc
sbindir = $(exec_prefix)/sbin
sitedir = $(libdir)/ruby/site_ruby
rubylibdir = $(libdir)/ruby/$(ruby_version)
datarootdir = $(prefix)/share
sitearchdir = $(sitelibdir)/$(sitearch)
bindir = $(exec_prefix)/bin
sharedstatedir = $(prefix)/com
htmldir = $(docdir)
includedir = $(prefix)/include
sitelibdir = $(sitedir)/$(ruby_version)
dvidir = $(docdir)
vendorlibdir = $(vendordir)/$(ruby_version)
localedir = $(datarootdir)/locale
docdir = $(datarootdir)/doc/$(PACKAGE)
oldincludedir = $(DESTDIR)/usr/include

CC = cc
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -Wl,-R -Wl,$(libdir) -L$(libdir) -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static

RUBY_EXTCONF_H = 
CFLAGS   =  -fPIC -O2 -pipe  -fPIC $(cflags) -DSQLITE_ENABLE_COLUMN_METADATA=1 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_ENABLE_FTS3=1 -DSQLITE_ENABLE_FTS3_PARENTHESIS=1 -DSQLITE_ENABLE_STAT2=1 -DSQLITE_THREADSAFE=0 
INCFLAGS = -I. -I$(topdir) -I$(hdrdir) -I$(srcdir)
DEFS     = 
CPPFLAGS =  -DOPENSSL_NO_STATIC_ENGINE -I/usr/local/include $(DEFS) $(cppflags)
CXXFLAGS = $(CFLAGS) 
ldflags  = -L. -L/usr/local/lib -Wl,-E
dldflags = 
archflag = 
DLDFLAGS = $(ldflags) $(dldflags) $(archflag)
LDSHARED = $(CC) -shared  -fPIC
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = ruby18
RUBY_SO_NAME = ruby18
arch = sh-openbsd
sitearch = sh-openbsd
ruby_version = 1.8
ruby = /usr/local/bin/ruby18
RUBY = $(ruby)
RM = rm -f
MAKEDIRS = mkdir -p
INSTALL = /usr/bin/install -c 
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = install -c  -m 444
COPY = cp

#### End of system configuration section. ####

preload = 

libpath = . $(libdir) /usr/local/lib
LIBPATH =  -L. -L$(libdir) -Wl,-R$(libdir) -L/usr/local/lib -Wl,-R/usr/local/lib
DEFFILE = 

CLEANFILES = mkmf.log
DISTCLEANFILES = 

extout = 
extout_prefix = 
target_prefix = /amalgalite/1.8
LOCAL_LIBS = 
LIBS = $(LIBRUBYARG_SHARED)  -lm   -lc
SRCS = amalgalite3.c amalgalite3_blob.c amalgalite3_constants.c amalgalite3_database.c amalgalite3_requires_bootstrap.c amalgalite3_statement.c sqlite3.c
OBJS = amalgalite3.o amalgalite3_blob.o amalgalite3_constants.o amalgalite3_database.o amalgalite3_requires_bootstrap.o amalgalite3_statement.o sqlite3.o
TARGET = amalgalite3
DLLIB = $(TARGET).so
EXTSTATIC = 
STATIC_LIB = 

BINDIR        = $(bindir)
RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR = /rest/obj/ports/amalgalite-1.1.2-ruby18/gem-tmp/.gem/ruby/1.8/gems/amalgalite-1.1.2/lib$(target_prefix)
RUBYARCHDIR = /rest/obj/ports/amalgalite-1.1.2-ruby18/gem-tmp/.gem/ruby/1.8/gems/amalgalite-1.1.2/lib$(target_prefix)

TARGET_SO     = $(DLLIB)
CLEANLIBS     = $(TARGET).so $(TARGET).il? $(TARGET).tds $(TARGET).map
CLEANOBJS     = *.o *.a *.s[ol] *.pdb *.exp *.bak

all:		$(DLLIB)
static:		$(STATIC_LIB)

clean:
		@-$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES)

distclean:	clean
		@-$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
		@-$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)

realclean:	distclean
install: install-so install-rb

install-so: $(RUBYARCHDIR)
install-so: $(RUBYARCHDIR)/$(DLLIB)
$(RUBYARCHDIR)/$(DLLIB): $(DLLIB)
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
install-rb: pre-install-rb install-rb-default
install-rb-default: pre-install-rb-default
pre-install-rb: Makefile
pre-install-rb-default: Makefile
$(RUBYARCHDIR):
	$(MAKEDIRS) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .cxx .cpp .C .o

.cc.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cxx.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cpp.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.C.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.c.o:
	$(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) -c $<

$(DLLIB): $(OBJS) Makefile
	@-$(RM) $@
	$(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)



$(OBJS): ruby.h defines.h
